<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::FocusedShadowCameraSetup::PointListBody Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#fdd95bb0057958ed63616e1ea4e13e0b">addAAB</a>(const AxisAlignedBox &amp;aab)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#8937f241b26f4fc4f977bd77325e642e">addPoint</a>(const Vector3 &amp;point)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#f2eb5bf9ecbe7e6b5d02f69c9294baef">build</a>(const ConvexBody &amp;body, bool filterDuplicates=true)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#4f1a8bf97a3324b3e131502ea6ad6796">buildAndIncludeDirection</a>(const ConvexBody &amp;body, const AxisAlignedBox &amp;aabMax, const Vector3 &amp;dir)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#3dbfa9e92c4aaa683850f62692898cf4">getAAB</a>(void) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#406c784f8492a274c339d41d1e39c162">getPoint</a>(size_t cnt) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a6a6cf68e76099eacc45d688dc0bf73a">getPointCount</a>(void) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#ef88b74b4b2ab59e7fd26b95ab6f348c">mAAB</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#8ed99e0d43569bb2304494c5f399a6ca">mBodyPoints</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#5fd1dd8bbaf06f2414946e356be80f6c">merge</a>(const PointListBody &amp;plb)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#b1194e2a8914328c3cb42744a86b91bb">PointListBody</a>()</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#d64fbe9c758a4f10742bab08aa59e794">PointListBody</a>(const ConvexBody &amp;body)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#2ba5cac9977eaaebc4e0830916a41bc5">reset</a>(void)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#67f47de28473e35d64a76be2f7c726cf">~PointListBody</a>()</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">Ogre::FocusedShadowCameraSetup::PointListBody</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:35 2008
</p>
</body>
</html>
